summaryrefslogtreecommitdiffstats
path: root/bootstrap
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2023-03-26 17:29:36 -0400
committerJesse Luehrs <doy@tozt.net>2023-03-27 22:52:01 -0400
commite04ae5b511181c5955a8672005c4e96fe04fed63 (patch)
tree8908110f0125264fcdc5981847cb522036feab34 /bootstrap
parent2d75d42766a6d77a9e6f81751f05ac61add1574c (diff)
downloadpuppet-tozt-e04ae5b511181c5955a8672005c4e96fe04fed63.tar.gz
puppet-tozt-e04ae5b511181c5955a8672005c4e96fe04fed63.zip
convert tozt launch script to pulumi
Diffstat (limited to 'bootstrap')
-rw-r--r--bootstrap/arch21
-rw-r--r--bootstrap/debian17
2 files changed, 38 insertions, 0 deletions
diff --git a/bootstrap/arch b/bootstrap/arch
new file mode 100644
index 0000000..d05da55
--- /dev/null
+++ b/bootstrap/arch
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -eu
+
+conf_location="/usr/local/share/puppet-tozt"
+conf_repo="https://github.com/doy/puppet-tozt"
+
+mkdir -p "$conf_location"
+cd "$conf_location" || exit 1
+git clone "$conf_repo" .
+git checkout pulumi
+git submodule update --init --recursive
+cp -r /tmp/secrets/ modules/secret/files
+
+set +e
+puppet apply --modulepath=./modules --hiera_config=./hiera/hiera.yaml --detailed-exitcodes manifests
+puppet_exit=$?
+if [ $puppet_exit -eq 2 ]; then
+ exit 0
+else
+ exit $puppet_exit
+fi
diff --git a/bootstrap/debian b/bootstrap/debian
new file mode 100644
index 0000000..f7cbd9b
--- /dev/null
+++ b/bootstrap/debian
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -eu
+
+conf_location="/usr/local/share/puppet-tozt"
+conf_repo="https://github.com/doy/puppet-tozt"
+
+apt-get -y update
+apt-get -y install git
+
+mkdir -p "$conf_location"
+cd "$conf_location" || exit 1
+git clone "$conf_repo" .
+git checkout pulumi
+git submodule update --init --recursive
+
+cd digitalocean-debian-to-arch || exit 1
+bash install.sh --i_understand_that_this_droplet_will_be_completely_wiped --extra_packages "puppet git ruby-shadow"